osl::eval::ml::King8EffectEmptySquareBoth Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions | List of all members
osl::eval::ml::King8EffectEmptySquareBoth Class Reference

`#include <king8.h>`

Inheritance diagram for osl::eval::ml::King8EffectEmptySquareBoth:
[legend]
Collaboration diagram for osl::eval::ml::King8EffectEmptySquareBoth:
[legend]

## Static Public Member Functions
static std::pair< CArray< int, 2 > , CArray< int, 2 > > | evalWithUpdate (const osl::state::NumEffectState &new_state, Move last_move, const CArray< int, 2 > &last_value_opening, const CArray< int, 2 > &last_value_ending)
Static Public Member Functions inherited from osl::eval::ml::King8EffectBase
template<class MakeEffectState >
static const CArray< int, 2 > | evalCommon (const osl::state::NumEffectState &state, const table_t &)
template<class MakeEffectState >
static const CArray< int, 2 > | evalWithUpdateCommon (const osl::state::NumEffectState &new_state, Move last_move, const CArray< int, 2 > &last_value, const table_t &)
template<class MakeEffectState >
static std::pair< CArray< int, 2 > , CArray< int, 2 > > | evalWithUpdateCommon (const NumEffectState &new_state, Move last_move, const CArray< int, 2 > &last_value_opening, const CArray< int, 2 > &last_value_ending, const table_t &, const table_t &)

## Additional Inherited Members
Public Types inherited from osl::eval::ml::King8EffectBase
enum | { DIM = 32 }
enum | EffectState { NOT_EMPTY = -1, NO_EFFECT = 0, LESS_EFFECT, MORE_EFFECT, MORE_EFFECT_KING_ONLY }
typedef CArray< int, 32 > | table_t
Public Member Functions inherited from osl::eval::ml::King8EffectBase
template<class MakeEffectState >
const osl::CArray< int, 2 > | evalCommon (const osl::state::NumEffectState &state, const table_t &table)
template<class MakeEffectState >
const osl::CArray< int, 2 > | evalWithUpdateCommon (const osl::state::NumEffectState &new_state, Move last_move, const CArray< int, 2 > &last_value, const table_t &table)
template<class MakeEffectState >
std::pair< osl::CArray< int, 2 > , osl::CArray< int, 2 > > | evalWithUpdateCommon (const osl::state::NumEffectState &new_state, Move last_move, const CArray< int, 2 > &last_value_o, const CArray< int, 2 > &last_value_e, const table_t &table_o, const table_t &table_e)
Static Protected Member Functions inherited from osl::eval::ml::King8EffectBase
static int | index (const Direction dir, EffectState state)

## Detailed Description

Definition at line 98 of file eval/ml/king8.h.

## Member Function Documentation

std::pair< osl::CArray< int, 2 >, osl::CArray< int, 2 > > osl::eval::ml::King8EffectEmptySquareBoth::evalWithUpdate | ( | const osl::state::NumEffectState & | new_state,
|  | Move | last_move,
|  | const CArray< int, 2 > & | last_value_opening,
|  | const CArray< int, 2 > & | last_value_ending
| ) |  |
| static

Definition at line 336 of file eval/ml/king8.cc.

The documentation for this class was generated from the following files:

- eval/ml/king8.h
- eval/ml/king8.cc